package com.fr.plugin.seed.repository.core;

import com.fr.io.base.provider.impl.SimpleRepositoryFactory;
import com.fr.io.config.RepositoryConfig;
import com.fr.io.repository.ResourceRepository;
import com.fr.io.repository.base.fs.FileSystemRepository;

/**
 * Created by rinoux on 2018-11-30.
 */
public class SEEDRepositoryFactory extends SimpleRepositoryFactory {

    public SEEDRepositoryFactory() {
        super("SEED");
    }


    @Override
    public ResourceRepository produce(String repoName, String workRoot) {
        return new FileSystemRepository(repoName, workRoot);
    }
}
