BI.config("dec.constant.intelligence.cluster.file.server", function (items) {
    items.push({
        value: "SEED",
        id: "decision-intelligence-cluster-file-seed", // id
        text: BI.i18nText("Plugin-Seed_Title"), // 文字
        cardType: "dec.intelligence.cluster.file.seed"
    });
    return items;
});


!(function () {
    var LABEL_WIDTH = 116, EDITOR_WIDTH = 300;
    var SEED = BI.inherit(BI.Widget, {

        props: {
            baseCls: "dec-cluster-ftp",
            value: {}
        },

        _store: function () {
            return BI.Models.getModel("dec.model.intelligence.cluster.file.seed", {
                value: this.options.value
            });
        },

        watch: {},

        render: function () {
            var self = this, o = this.options;
            return {
                type: "bi.vertical",
                tgap: 15,
                items: []
            };
        },

        getValue: function () {
            return {};
        },

        validation: function () {
            return true;
        }
    });
    BI.shortcut("dec.intelligence.cluster.file.seed", SEED);
})();


!(function () {
    var Model = BI.inherit(Fix.Model, {

        state: function () {
            var val = this.options.value;
            return {};
        },

        computed: {
            encodingArray: function () {
                return BI.map(DecCst.EncodeConstants.ENCODING_ARRAY, function (i, v) {
                    return {
                        value: v
                    };
                });
            }
        },

        actions: {}
    });
    BI.model("dec.model.intelligence.cluster.file.seed", Model);
})();